package com.four.patient.feign;
import com.four.common.duck.Result;
import com.four.common.duck.communitypatients.SymptomsDrugs;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import java.util.List;


@FeignClient("dimensional-health-homePage")
public interface SymptomDrugsFeign {

    /**
     * 查询所有科室
     * @return
     */
    @GetMapping("/know/findSymptomDrugsAll")
    public Result<List<SymptomsDrugs>> findSymptomDrugsAll();
}
